extends Node2D
@onready var pause_menu: Control = $"GUI/Pause menu"

func _on_pause_pressed() -> void:
	get_tree().paused = true
	pause_menu.visible = true
	
func _input(event: InputEvent) -> void:
	if not pause_menu.visible:
		if event.is_action_pressed("pause"):
			_on_pause_pressed()

	
